IE Enhanced Protected Mode and add-in warnings.

Last modified date

Comments: 0

Launching Internet Explorer for the first time and got the

“ Citrix HDXJsInjector can’t run because it isn’t compatible with Internet Explorer’s enhanced security features. These settings are managed by your system administrator. “

Warning? This is due to running enhanced protected mode in Internet Explorer. IE in protected mode will not load incompatible add-ins. Quick fix:

HKCU\Software\Microsoft\windows\CurrentVersion\Ext\Settings\{CA076BDE-8E41-44EE-B775-E791F26D0483}]


“CompatBlockPromptCount”=dword:00000001
“Flags”=dword:00000100

This will also do the trick for all other not loaded add-in prompts within IE, just get the right GUID and set the keys.. The Citrix guid is -> (CA076BDE-8E41-44EE-B775-E791F26D0483).

You could set the key in any environment manager or better: in the (local) profile.

Bas

Share

Leave a Reply

Your email address will not be published. Required fields are marked *

Post comment